%define module IPC-SharedCache

Name: perl-%module
Version: 1.3
Release: alt2

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: Perl module to manage a cache in SysV IPC shared memory
Group: Development/Perl
License: GPL
Source: http://www.cpan.org/modules/by-module/IPC/%module-%version.tar.gz

BuildArch: noarch

PreReq: perl-IPC-ShareLite >= 0.06

# Automatically added by buildreq on Tue Nov 05 2002
BuildRequires: perl-IPC-ShareLite perl-Storable perl-devel

%description
This module provides a shared memory cache accessed as a tied hash.

Shared memory is an area of memory that is available to all processes.
It is accessed by choosing a key, the ipc_key arguement to tie.  Every
process that accesses shared memory with the same key gets access to
the same region of memory.  In some ways it resembles a file system,
but it is not hierarchical and it is resident in memory.  This makes
it harder to use than a filesystem but much faster.  The data in
shared memory persists until the machine is rebooted or it is
explicitely deleted.

This module attempts to make shared memory easy to use for one
specific application - a shared memory cache.  For other uses of
shared memory see the documentation to the excelent module I use,
IPC::ShareLite.

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ANNOUNCE
%perl_vendor_privlib/IPC*
%perl_vendor_man3dir/*

%changelog
* Tue Nov 05 2002 Stanislav Ievlev <inger@altlinux.ru> 1.3-alt2
- rebuild with new perl

* Sat Mar 9 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.08-alt1
- First build for Sisyphus.
